Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.discussion
Class DiscussionPermission

    java.lang.Object
      |
      +--com.compoze.security.acl.PermissionImpl
            |
            +--com.compoze.discussion.DiscussionPermission

All Implemented Interfaces:
  java.security.acl.Permission, java.io.Serializable

public class DiscussionPermission
extends com.compoze.security.acl.PermissionImpl
implements java.io.Serializable

This class represents the permissions for forums, topics and messages.

See Also:
  Serialized Form

Field Summary
`static DiscussionPermission` | `ADD_TOPIC` This is the permission to add topics.
`static DiscussionPermission` | `DELETE` This is the permission to delete.
`static DiscussionPermission` | `EDIT` This is the permission to edit.
`static DiscussionPermission` | `MODERATOR` This is the permission to moderate a forum.
`static DiscussionPermission` | `READ` This is the permission to read.

Constructor Summary
`protected` | `DiscussionPermission(java.lang.String sName)` Constructor.

Method Summary
`static java.security.acl.Permission` | `getPermission(java.lang.String sName)` Gets the permission by the specified name.
`static java.util.List` | `permissions()` Gets the list of permissions.

Methods inherited from class com.compoze.security.acl.PermissionImpl
`equals, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### READ

    public static final DiscussionPermission READ

  This is the permission to read.

### DELETE

    public static final DiscussionPermission DELETE

  This is the permission to delete.

### EDIT

    public static final DiscussionPermission EDIT

  This is the permission to edit.

### ADD_TOPIC

    public static final DiscussionPermission ADD_TOPIC

  This is the permission to add topics.

### MODERATOR

    public static final DiscussionPermission MODERATOR

  This is the permission to moderate a forum.

Constructor Detail

### DiscussionPermission

    protected DiscussionPermission(java.lang.String sName)

  Constructor.
  Parameters:
    `sName` - the permission name

Method Detail

### permissions

    public static java.util.List permissions()

  Gets the list of permissions.
  Returns:
    the list of `DiscussionPermission`s (un-modifiable)

### getPermission

    public static java.security.acl.Permission getPermission(java.lang.String sName)

  Gets the permission by the specified name.
  Parameters:
    `sName` - the name (may not be `null`)
  Returns:
    the matching permission or `null` if not found

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.